SAXSource (Java 2 Platform SE v1.4.1_"07")

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

JavaTM 2 Platform
Std. Ed. v1.4.1_"07"

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.xml.transform.sax
Class SAXSource

    java.lang.Object
      |
      +--javax.xml.transform.sax.SAXSource

All Implemented Interfaces:
  Source

public class SAXSource
extends Object
implements Source

Acts as an holder for SAX-style Source.

Field Summary
`static String` | `FEATURE` If `TransformerFactory.getFeature(java.lang.String)` returns true when passed this value as an argument, the Transformer supports Source input of this type.

Constructor Summary
`SAXSource()` Zero-argument default constructor.
`SAXSource(InputSource inputSource)` Create a `SAXSource`, using a SAX `InputSource`.
`SAXSource(XMLReader reader, InputSource inputSource)` Create a `SAXSource`, using an `XMLReader` and a SAX InputSource.

Method Summary
`InputSource` | `getInputSource()` Get the SAX InputSource to be used for the Source.
`String` | `getSystemId()` Get the base ID (URI or system ID) from where URIs will be resolved.
`XMLReader` | `getXMLReader()` Get the XMLReader to be used for the Source.
`void` | `setInputSource(InputSource inputSource)` Set the SAX InputSource to be used for the Source.
`void` | `setSystemId(String systemId)` Set the system identifier for this Source.
`void` | `setXMLReader(XMLReader reader)` Set the XMLReader to be used for the Source.
`static InputSource` | `sourceToInputSource(Source source)` Attempt to obtain a SAX InputSource object from a TrAX Source object.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### FEATURE

    public static final String FEATURE

  If `TransformerFactory.getFeature(java.lang.String)` returns true when passed this value as an argument, the Transformer supports Source input of this type.

  See Also:
    Constant Field Values

Constructor Detail

### SAXSource

    public SAXSource()

  Zero-argument default constructor. If this constructor is used, and no other method is called, the `Transformer` assumes an empty input tree, with a default root node.

### SAXSource

    public SAXSource(XMLReader reader,
                     InputSource inputSource)

  Create a `SAXSource`, using an `XMLReader` and a SAX InputSource. The `Transformer` or `SAXTransformerFactory` will set itself to be the reader's `ContentHandler`, and then will call reader.parse(inputSource).

Parameters:
  `reader` - An XMLReader to be used for the parse.
  `inputSource` - A SAX input source reference that must be non-null and that will be passed to the reader parse method.

### SAXSource

    public SAXSource(InputSource inputSource)

  Create a `SAXSource`, using a SAX `InputSource`. The `Transformer` or `SAXTransformerFactory` creates a reader via `XMLReaderFactory` (if setXMLReader is not used), sets itself as the reader's `ContentHandler`, and calls reader.parse(inputSource).

Parameters:
  `inputSource` - An input source reference that must be non-null and that will be passed to the parse method of the reader.

Method Detail

### setXMLReader

    public void setXMLReader(XMLReader reader)

  Set the XMLReader to be used for the Source.

  Parameters:
    `reader` - A valid XMLReader or XMLFilter reference.

### getXMLReader

    public XMLReader getXMLReader()

  Get the XMLReader to be used for the Source.

  Returns:
    A valid XMLReader or XMLFilter reference, or null.

### setInputSource

    public void setInputSource(InputSource inputSource)

  Set the SAX InputSource to be used for the Source.

  Parameters:
    `inputSource` - A valid InputSource reference.

### getInputSource

    public InputSource getInputSource()

  Get the SAX InputSource to be used for the Source.

  Returns:
    A valid InputSource reference, or null.

### setSystemId

    public void setSystemId(String systemId)

  Set the system identifier for this Source. If an input source has already been set, it will set the system ID or that input source, otherwise it will create a new input source.

  The system identifier is optional if there is a byte stream or a character stream, but it is still useful to provide one, since the application can use it to resolve relative URIs and can include it in error messages and warnings (the parser will attempt to open a connection to the URI only if no byte stream or character stream is specified).

  Specified by:
    `setSystemId` in interface `Source`
  Parameters:
    `systemId` - The system identifier as a URI string.

### getSystemId

    public String getSystemId()

  Get the base ID (URI or system ID) from where URIs will be resolved.

  Specified by:
    `getSystemId` in interface `Source`
  Returns:
    Base URL for the Source, or null.

### sourceToInputSource

    public static InputSource sourceToInputSource(Source source)

  Attempt to obtain a SAX InputSource object from a TrAX Source object.

  Parameters:
    `source` - Must be a non-null Source reference.
  Returns:
    An InputSource, or null if Source can not be converted.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

JavaTM 2 Platform
Std. Ed. v1.4.1_"07"

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
For further API reference and developer documentation, see Java 2 SDK SE Developer Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Copyright 2002 Sun Microsystems, Inc. All rights reserved. Use is subject to license terms.